package com.chinaitop.depot.intelligent.ventilation.service;

import java.util.List;

import com.chinaitop.depot.intelligent.ventilation.model.BusinessApproval;
import com.chinaitop.depot.intelligent.ventilation.model.BusinessApprovalExample;

public interface BusinessApprovalService {
	
	List<BusinessApproval> queryByExample(BusinessApprovalExample example);
	
	BusinessApproval findById(Integer id);
	
	void add(BusinessApproval businessApproval);
	
	void update(BusinessApproval businessApproval);

    void updateByPrimaryKeySelective(BusinessApproval oldBusinessApproval);

    /**
     * 按ID删除数据
     * @param id
     */
    void remove(Integer id);

    /**
     * 按条件删除数据
     * @param id
     */
    void removeList(BusinessApprovalExample example);
	
}
